const system = require("../../../system");
const Dao = require("../../dao.base");
class CompanyDao extends Dao {
  constructor() {
    super(Dao.getModelName(CompanyDao));
  }
  extraWhere(obj, w, qc, linkAttrs) {
    return w;
  }
  // extraModelFilter(pobj){
  //   return {"key":"include",
  //       "value":[{
  //         model:this.db.models.user,
  //         as:"Users",
  //         through:{
  //           where:{id:pobj.uid}
  //         }
  //       },
  //  ]};
  // }
}
module.exports = CompanyDao;
